2.2.2.3 client-request-id

 GET /authorize?response_type={response_type}&client_id={client_id}&state={state}&resource={resource}&client-request-id={ClientRequestId}&redirect_uri={redirect_uri} HTTP/1.1

OPTIONAL

The client-request-id query parameter is optional and MAY be specified by the client role of the OAuth 2.0 Protocol Extensions. This parameter is used to provide the server role a request identifier which is then used by the server of the OAuth 2.0 Protocol Extensions to log error messages that were encountered while processing that request. The value of the client-request-id query parameter MUST be a globally unique identifier (GUID) in standard string representation (see [C706] section 3.1.17 (String UUID) for the format).

For an example of the client-request-id query parameter as it is being used, see section 4.1.

The format for the client-request-id query parameter is as follows.

 String = *(%x20-7E)
 client-request-id = String